

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.8.4. TokenBigramIgnoreBlankSplitSymbol &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.8.5. TokenBigramIgnoreBlankSplitSymbolAlpha" href="token_bigram_ignore_blank_split_symbol_alpha.html" />
    <link rel="prev" title="7.8.3. TokenBigramIgnoreBlank" href="token_bigram_ignore_blank.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/tokenizers/token_bigram_ignore_blank_split_symbol.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="token_bigram_ignore_blank_split_symbol_alpha.html" title="7.8.5. TokenBigramIgnoreBlankSplitSymbolAlpha"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="token_bigram_ignore_blank.html" title="7.8.3. TokenBigramIgnoreBlank"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../tokenizers.html" accesskey="U"><span class="section-number">7.8. </span>トークナイザー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.8.4. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="tokenbigramignoreblanksplitsymbol">
<span id="token-bigram-ignore-blank-split-symbol"></span><h1><span class="section-number">7.8.4. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code><a class="headerlink" href="#tokenbigramignoreblanksplitsymbol" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.8.4.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code> は <a class="reference internal" href="token_bigram.html#token-bigram"><span class="std std-ref">TokenBigram</span></a> と似ています。違いは次の通りです。</p>
<blockquote>
<div><ul class="simple">
<li><p>空白文字の扱い</p></li>
<li><p>記号の扱い</p></li>
</ul>
</div></blockquote>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.8.4.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code> には、引数がありません。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>TokenBigramIgnoreBlankSplitSymbol
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.8.4.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code> は連続した記号と非ASCII文字の間の空白文字を無視します。</p>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code> は記号をバイグラムでトークナイズします。</p>
<p><code class="docutils literal notranslate"><span class="pre">日</span> <span class="pre">本</span> <span class="pre">語</span> <span class="pre">!</span> <span class="pre">!</span> <span class="pre">!</span></code> というテキストを使うと違いがわかります。なぜならこのテキストは記号と非ASCII文字を両方含んでいるからです。</p>
<p><a class="reference internal" href="token_bigram.html#token-bigram"><span class="std std-ref">TokenBigram</span></a> での実行結果です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenBigram &quot;日 本 語 ! ! !&quot; NormalizerAuto
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;日&quot;
#     },
#     {
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;本&quot;
#     },
#     {
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;語&quot;
#     },
#     {
#       &quot;position&quot;: 3,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!&quot;
#     },
#     {
#       &quot;position&quot;: 4,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!&quot;
#     },
#     {
#       &quot;position&quot;: 5,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!&quot;
#     }
#   ]
# ]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code> の実行結果です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>tokenize TokenBigramIgnoreBlankSplitSymbol &quot;日 本 語 ! ! !&quot; NormalizerAuto
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;position&quot;: 0,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;日本&quot;
#     },
#     {
#       &quot;position&quot;: 1,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;本語&quot;
#     },
#     {
#       &quot;position&quot;: 2,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;語!&quot;
#     },
#     {
#       &quot;position&quot;: 3,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!!&quot;
#     },
#     {
#       &quot;position&quot;: 4,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!!&quot;
#     },
#     {
#       &quot;position&quot;: 5,
#       &quot;force_prefix&quot;: false,
#       &quot;value&quot;: &quot;!&quot;
#     }
#   ]
# ]
</pre></div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.8.4. <code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.8.4.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.8.4.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.8.4.3. 使い方</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="token_bigram_ignore_blank.html"
                        title="前の章へ"><span class="section-number">7.8.3. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlank</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="token_bigram_ignore_blank_split_symbol_alpha.html"
                        title="次の章へ"><span class="section-number">7.8.5. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbolAlpha</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="token_bigram_ignore_blank_split_symbol_alpha.html" title="7.8.5. TokenBigramIgnoreBlankSplitSymbolAlpha"
             >次へ</a> |</li>
        <li class="right" >
          <a href="token_bigram_ignore_blank.html" title="7.8.3. TokenBigramIgnoreBlank"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../tokenizers.html" ><span class="section-number">7.8. </span>トークナイザー</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.8.4. </span><code class="docutils literal notranslate"><span class="pre">TokenBigramIgnoreBlankSplitSymbol</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>